
Redmine - Patch #34426

Issue Categories sortable

2020-12-09 14:32 - Karel Pičman

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: Candidate for next major release   

Description

Adding a possibility to reorder issue categories.

History

#1 - 2021-02-02 12:21 - Mischa The Evil

- Target version set to Candidate for next major release

This is something that could be nice to have in particular use-cases, though I'm not sure if it is worth the overhead. Most of the time users expect

issue category lists to be sorted alphabetically, I think.

In case this turns out to be a wanted feature I'd suggest to also add some quick-link of some sort for convenience to restore the items into an

alphabetically sorted order.

#2 - 2021-02-08 14:59 - Karel Pičman

- File issue_categories_sortable.diff added

I think that a sorting command doesn't make much sense. However for sure it makes sense to keep the alphabetical order during the migration. I've

updated the patch accordingly.

#3 - 2022-01-04 10:30 - Julien Dubois

+1 for the feature, it would be super conveniant when you want to priorize the work by theme within the same priority level.

Thank you!

Files

issue_categories_sortable.diff 6.84 KB 2020-12-09 Karel Pičman

issue_categories_sortable.diff 6.85 KB 2021-02-08 Karel Pičman
